com.jscape.inet.mft.management.descriptors

## Class MaxConcurrentConnectionsServiceDescriptor

- java.lang.Object
- - com.jscape.inet.mft.management.descriptors.Configuration
  - - com.jscape.inet.mft.management.descriptors.ServiceDescriptor
    - - com.jscape.inet.mft.management.descriptors.MaxConcurrentConnectionsServiceDescriptor

- All Implemented Interfaces:
    com.jscape.util.db.IntVersioned, java.io.Serializable

      public class MaxConcurrentConnectionsServiceDescriptor
      extends ServiceDescriptor

  Concurrent connection service descriptor. The service described by this descriptor takes responsibility for limiting server access.
  Author:
    Alex Usun
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MaxConcurrentConnectionsServiceDescriptor()` This constructor is used by serialization sub-system and is not intended to use directly in client code.
    `MaxConcurrentConnectionsServiceDescriptor(java.lang.Integer value, int version)` Creates a new descriptor instance.
    `MaxConcurrentConnectionsServiceDescriptor(MaxConcurrentConnectionsServiceDescriptor that)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Configuration` | `copy()`
    `java.lang.Integer` | `getValue()` Returns max concurrent connections.
    `void` | `setValue(java.lang.Integer value)` Sets max concurrent connections.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.jscape.inet.mft.management.descriptors.Configuration

      `getVersion, setVersion`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MaxConcurrentConnectionsServiceDescriptor

          public MaxConcurrentConnectionsServiceDescriptor(java.lang.Integer value,
                                                           int version)

      Creates a new descriptor instance.
      Parameters:
        `value` - max concurrent connections

    - #### MaxConcurrentConnectionsServiceDescriptor

          public MaxConcurrentConnectionsServiceDescriptor(MaxConcurrentConnectionsServiceDescriptor that)

    - #### MaxConcurrentConnectionsServiceDescriptor

          public MaxConcurrentConnectionsServiceDescriptor()

      This constructor is used by serialization sub-system and is not intended to use directly in client code.

  - ### Method Detail

    - #### getValue

          public java.lang.Integer getValue()

      Returns max concurrent connections.
      Returns:
        max concurrent connections

    - #### setValue

          public void setValue(java.lang.Integer value)

      Sets max concurrent connections.
      Parameters:
        `value` - max concurrent connections

    - #### copy

          public Configuration copy()

      Specified by:
        `copy` in class `Configuration`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © JSCAPE LLC. 1999-2020. All Rights Reserved